Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 241462 - Uses same name as Evolution 'Tasks' in menu
Uses same name as Evolution 'Tasks' in menu
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: tasks (Show other bugs)
7
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Young
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-25 22:46 EDT by Bill Nottingham
Modified: 2014-03-16 23:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-29 15:28:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2007-05-25 22:46:05 EDT
Description of problem:

Not sure how to best solve it,but two entries with the same name isn't good.

Version-Release number of selected component (if applicable):

evolution-2.10.1-4.fc7
tasks-0.4-4.fc7
Comment 1 Matthew Barnes 2007-05-26 00:42:37 EDT
Personally, I dislike the way Red Hat tries to pretend that Evolution is several
different applications by listing each component in the menus and hiding the
switcher buttons on the main window by default.  It also confuses Bug Buddy to
no end, and seems to me a bit deceptive toward the unsuspecting end-user.  Nor
do I understand why the menu items are spread across multiple Applications
categories.

I'd much prefer a single menu entry called "Email and Calendar" or something
thereabouts.  Perhaps the inclusion of the Pimlico suite into Fedora will force
the issue.
Comment 2 Dan Young 2007-05-26 11:07:29 EDT
Yeah, sorry, noticed this post-review and was going to ask around after the F7
release for ideas on how to handle this.

+1 on disliking Evolution co-opting the Tasks .desktop name.

Seems like the options for avoiding the name collision are:

1. Change Evolution's .desktop names (Evolution Tasks, Evolution Calendar?)
 * Is this at all likely to happen?
 * Not desirable to do mid-release as an update to evo...
 * The "right thing to do" IMHO

2. Change Tasks's .desktop name (Pimlico Tasks? File bugs w/ Dates and Contacts
to do similarly, even though they have no collision?)
 * Easy to do expediently
 * A change for fewer users, as the package is somewhat new
 * "$projectname $appname" is not commonly used in other Fedora .desktop entries

Opinions are welcome.
Comment 3 Bill Nottingham 2007-05-28 00:53:31 EDT
I'm with Matthew - a single entry for Evo seems best, or at least renaming them
to Evolution Calendar, or somesuch.
Comment 4 Dan Young 2007-08-13 14:14:26 EDT
Any chance Evo will get a single desktop entry before the F8 feature freeze?
Comment 5 Matthew Barnes 2007-08-13 14:27:54 EDT
No, I'm not gonna to pick this battle until after F8.
Comment 6 Matthew Barnes 2007-10-29 15:28:39 EDT
Fixed in evolution-2.21.1-fc9.

For Fedora 9, Evolution will have a single Applictions menu entry called
"Evolution Mail and Calendar".

Note You need to log in before you can comment on or make changes to this bug.